Subject: Fwd: [bug#29301] [PATCH] substitute* hard-coded paths with paths from "out"

From: Kristofer Buffington <[email-masked]>
Date: Sun, 26 Nov 2017 20:31:52 -0500

---------- Forwarded message ----------
From: Kristofer Buffington <[email-masked]>
Date: Sun, Nov 26, 2017 at 8:30 PM
Subject: Re: [bug#29301] [PATCH] substitute* hard-coded paths with paths
from "out"
To: Ludovic Courtès <[email-masked]>

I will investigate. There are some hard coded paths in artanis/config.scm
looking for the configuration file in /etc/artanis/artanis.conf -- I don't
believe the --sysconfdir flag will have any impact on the hard-coded paths.
Perhaps I should send a patch upstream to eliminate the hard paths? Then
the substitute* would be unnecessary?

Thanks!
Kris

On Thu, Nov 23, 2017 at 4:59 PM, Ludovic Courtès <[email-masked]> wrote:

> Hi Kristofer,
>
> Kristofer Buffington <[email-masked]> skribis:
>
> > * gnu/packages/guile.scm
> > used substitute* to correct some hardcoded paths in the artanis package
>
> [...]
>
> > +                 (substitute* "artanis/config.scm"
> > +                   (("/etc/artanis/artanis.conf")
> > +                    (string-append out "/etc/artanis.conf"))
> > +                   (("/etc/artanis/pages")
> > +                    (string-append out "/etc/artanis")))
> > +                 (substitute* "etc/artanis/artanis.conf"
> > +                   (("/etc/artanis/pages")
> > +                    (string-append out "/etc/artanis")))
>
> Shouldn’t we instead configure it with --sysconfdir=/etc?  That would
> allow users to provide custom configuration files, whereas currently
> OUTPUT/etc/artanis contains immutable configuration files.
>
> WDYT?
>
> Thanks,
> Ludo’.
>